<template>
  <div class="wrapper" :class="{ checked: selected }"></div>
</template>

<script>
export default {
  props: {
    selected: {
      type: Boolean,
      default: false
    }
  }
};
</script>

<style lang="scss" scoped>
.wrapper {
  display: inline-block;
  background: $color-white;
  border-radius: 2px;
  position: relative;
  border: 1px solid $color-pigeon-grey;
  overflow: hidden;
  width: 14px;
  height: 14px;

  &::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: $color-skm-red;
    opacity: 0;
  }

  &::after {
    content: "";
    display: block;
    position: absolute;
    left: 0;
    top: 50%;
    width: 8px;
    height: 5px;
    margin: -2px 0 0 3px;
    border: 1px solid $color-white;
    border-top: none;
    border-right: none;
    transform: translateY(-50%) rotate(-45deg) scale(1);
    transition: all 0.5s;
    opacity: 0;
  }

  &.checked {
    border: none;

    &::after,
    &::before {
      opacity: 1;
    }
  }
}
</style>
